//DEFINES
#define OVERHEAT 45 //degree Celsius
#define VREF 5.0  //V
#define FULLY_CHARGED 4.1  //V
#define DISCHARGED 3.0  //V
#define STORAGE 3.80 //V
#define TIME_FULL_CHARGING 9000000L //ms
#define ACTION_INTERVAL 3000  //ms
#define BUTTON_LONG_TIME 1000 //ms //how long time to press button long

//MENU
#define MENU_CHRGQTSTSTRG 1
#define MENU_CHRGQTSTCHRG 2
#define MENU_CHRGQTST 3
#define MENU_CHRG 4
#define MENU_CHRGSTRG 5
#define MENU_STRG 6
#define MENU_QUICKINTRES 7
#define MENU_INFO 8

//ANALOG PINS
#define READPIN 0 // What analog input on the arduino do you want?
#define NO_PINS 64
#define M_S0 4
#define M_S1 3
#define M_S2 2
#define S_S0 43
#define S_S1 41
#define S_S2 39

#define TEMP1 0
#define TEMP2 3
#define TEMP3 2
#define TEMP4 1
#define TEMP5 7
#define TEMP6 5
#define TEMP7 4
#define TEMP8 6
#define TEMP9 8
#define TEMP10 11
#define TEMP11 38
#define TEMP12 36
#define TEMP13 37
#define TEMP14 39
#define TEMP15 33
#define TEMP16 34
#define TEMP17 35
#define TEMP18 32
#define TEMP19 46
#define TEMP20 44

#define VIN1 9
#define VIN2 13
#define VIN3 14
#define VIN4 19
#define VIN5 17
#define VIN6 21
#define VIN7 22
#define VIN8 27
#define VIN9 25
#define VIN10 29
#define VIN11 47
#define VIN12 42
#define VIN13 40
#define VIN14 52
#define VIN15 55
#define VIN16 50
#define VIN17 48
#define VIN18 60
#define VIN19 63
#define VIN20 58

#define VOUT1 10
#define VOUT2 15
#define VOUT3 12
#define VOUT4 16
#define VOUT5 18
#define VOUT6 23
#define VOUT7 20
#define VOUT8 24
#define VOUT9 26
#define VOUT10 31
#define VOUT11 45
#define VOUT12 41
#define VOUT13 43
#define VOUT14 54
#define VOUT15 53
#define VOUT16 49
#define VOUT17 51
#define VOUT18 62
#define VOUT19 61
#define VOUT20 57

//DIGITAL PINS

#define BUTTON 7
#define BUZZER 14
#define RELAY 15

#define BAT1 18
#define BAT2 17
#define BAT3 22
#define BAT4 19
#define BAT5 24
#define BAT6 23
#define BAT7 26
#define BAT8 25
#define BAT9 28
#define BAT10 27
#define BAT11 37
#define BAT12 38
#define BAT13 35
#define BAT14 36
#define BAT15 33
#define BAT16 34
#define BAT17 31
#define BAT18 32
#define BAT19 29
#define BAT20 30

#define RES1 3.56
#define RES2 3.54
#define RES3 3.57
#define RES4 3.57
#define RES5 3.58
#define RES6 3.56
#define RES7 3.55
#define RES8 3.56
#define RES9 3.56
#define RES10 3.58
#define RES11 3.6
#define RES12 3.6
#define RES13 3.6
#define RES14 3.6
#define RES15 3.6
#define RES16 3.6
#define RES17 3.6
#define RES18 3.6
#define RES19 3.6
#define RES20 3.6

